Overview | Modules | Class Hierarchy | Classes | Members

Public Types | Public Member Functions | Static Public Attributes | Friends
tlp::DoubleProperty Class Reference

`#include <DoubleProperty.h>`

Inheritance diagram for tlp::DoubleProperty:
[legend]
Collaboration diagram for tlp::DoubleProperty:
[legend]

List of all members.

## Public Types

- enum PredefinedMetaValueCalculator {
  NO_CALC = 0, AVG_CALC = 1, SUM_CALC = 2, MAX_CALC = 3,
  MIN_CALC = 4
  }

## Public Member Functions

- DoubleProperty (Graph *, std::string n="")
- DoubleType::RealType getNodeMin (Graph *sg=NULL)
- DoubleType::RealType getNodeMax (Graph *sg=NULL)
- DoubleType::RealType getEdgeMin (Graph *sg=NULL)
- DoubleType::RealType getEdgeMax (Graph *sg=NULL)
- void uniformQuantification (unsigned int)
- void nodesUniformQuantification (unsigned int)
- void edgesUniformQuantification (unsigned int)
- void clone_handler (AbstractProperty< DoubleType, DoubleType, DoubleAlgorithm > &)
- PropertyInterface * clonePrototype (Graph *, const std::string &)
- std::string getTypename () const
- virtual void setNodeValue (const node n, const double &v)
- virtual void setEdgeValue (const edge e, const double &v)
- virtual void setAllNodeValue (const double &v)
- virtual void setAllEdgeValue (const double &v)
- virtual void addNode (Graph *graph, const node n)
- virtual void addEdge (Graph *graph, const edge e)
- virtual void delNode (Graph *graph, const node n)
- virtual void delEdge (Graph *graph, const edge e)
- virtual void addSubGraph (Graph *graph, Graph *sub)
- virtual void delSubGraph (Graph *graph, Graph *sub)
- virtual void setMetaValueCalculator (PropertyInterface::MetaValueCalculator *calc)
- void setMetaValueCalculator (PredefinedMetaValueCalculator nodeCalc=AVG_CALC, PredefinedMetaValueCalculator edgeCalc=AVG_CALC)

## Static Public Attributes

- static const std::string propertyTypename

## Friends

- class DoubleAlgorithm

## Member Enumeration Documentation

enum tlp::DoubleProperty::PredefinedMetaValueCalculator

Enumerator:

  NO_CALC |
  AVG_CALC |
  SUM_CALC |
  MAX_CALC |
  MIN_CALC |

## Constructor & Destructor Documentation

tlp::DoubleProperty::DoubleProperty | ( | Graph * | ,
|  | std::string | n = `""`
| ) |  |

## Member Function Documentation

virtual void tlp::DoubleProperty::addEdge | ( | Graph * | graph,
|  | const edge | e
| ) |  | `[virtual]`

Reimplemented from tlp::GraphObserver.

virtual void tlp::DoubleProperty::addNode | ( | Graph * | graph,
|  | const node | n
| ) |  | `[virtual]`

Reimplemented from tlp::GraphObserver.

virtual void tlp::DoubleProperty::addSubGraph | ( | Graph * | graph,
|  | Graph * | sub
| ) |  | `[virtual]`

Reimplemented from tlp::GraphObserver.

void tlp::DoubleProperty::clone_handler | ( | AbstractProperty< DoubleType, DoubleType, DoubleAlgorithm > & |  | ) |

PropertyInterface* tlp::DoubleProperty::clonePrototype | ( | Graph * | ,
|  | const std::string & |
| ) |  | `[virtual]`

Creates an object of the same real type of the current property, in the the graph (first parameter) with the name (second parameter). Values are not copied.

Implements tlp::PropertyInterface.

virtual void tlp::DoubleProperty::delEdge | ( | Graph * | graph,
|  | const edge | e
| ) |  | `[virtual]`

Reimplemented from tlp::GraphObserver.

virtual void tlp::DoubleProperty::delNode | ( | Graph * | graph,
|  | const node | n
| ) |  | `[virtual]`

Reimplemented from tlp::GraphObserver.

virtual void tlp::DoubleProperty::delSubGraph | ( | Graph * | graph,
|  | Graph * | sub
| ) |  | `[virtual]`

Reimplemented from tlp::GraphObserver.

void tlp::DoubleProperty::edgesUniformQuantification | ( | unsigned | int | ) |

DoubleType::RealType tlp::DoubleProperty::getEdgeMax | ( | Graph * | sg = `NULL` | ) |

DoubleType::RealType tlp::DoubleProperty::getEdgeMin | ( | Graph * | sg = `NULL` | ) |

DoubleType::RealType tlp::DoubleProperty::getNodeMax | ( | Graph * | sg = `NULL` | ) |

DoubleType::RealType tlp::DoubleProperty::getNodeMin | ( | Graph * | sg = `NULL` | ) |

std::string tlp::DoubleProperty::getTypename | ( |  | ) | const`[inline, virtual]`

Returns a string describing the type of the property. i.e. "graph", "double", "layout", "string", "integer", "color", "size", ...

Implements tlp::PropertyInterface.

void tlp::DoubleProperty::nodesUniformQuantification | ( | unsigned | int | ) |

virtual void tlp::DoubleProperty::setAllEdgeValue | ( | const double & | v | ) | `[virtual]`

virtual void tlp::DoubleProperty::setAllNodeValue | ( | const double & | v | ) | `[virtual]`

virtual void tlp::DoubleProperty::setEdgeValue | ( | const edge | e,
|  | const double & | v
| ) |  | `[virtual]`

void tlp::DoubleProperty::setMetaValueCalculator | ( | PredefinedMetaValueCalculator | nodeCalc = `AVG_CALC`,
|  | PredefinedMetaValueCalculator | edgeCalc = `AVG_CALC`
| ) |  |

virtual void tlp::DoubleProperty::setMetaValueCalculator | ( | PropertyInterface::MetaValueCalculator * | mvCalc | ) | `[virtual]`

Sets the meta value calculator. Be careful that its destruction is not managed by the property.

Reimplemented from tlp::AbstractProperty< Tnode, Tedge, TPROPERTY >.

virtual void tlp::DoubleProperty::setNodeValue | ( | const node | n,
|  | const double & | v
| ) |  | `[virtual]`

void tlp::DoubleProperty::uniformQuantification | ( | unsigned | int | ) |

## Friends And Related Function Documentation

friend class DoubleAlgorithm`[friend]`

## Member Data Documentation

const std::string tlp::DoubleProperty::propertyTypename`[static]`

Tulip Software by LaBRI Visualization Team 2001 - 2012